from tfw.components.source_code_event_handler import SourceCodeEventHandler
from tfw.components.terminado_event_handler import TerminadoEventHandler
from tfw.components.process_managing_event_handler import ProcessManagingEventHandler
from tornado.ioloop import IOLoop

from tfw.config import tfwenv


if __name__ == '__main__':
    eventhandlers = {SourceCodeEventHandler('webide', tfwenv.WEBIDE_WD),
                     TerminadoEventHandler('terminado', 'terminado'),
                     ProcessManagingEventHandler('processmanager', 'login')}
    try:
        IOLoop.instance().start()
    finally:
        for eh in eventhandlers: eh.cleanup()
